--- /dev/null
+Zabiljeske CARNetovog paketa 'vsftpd-cn'
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+Ovaj paket je 'CARNetizirao' Ivan Rako <Ivan.Rako@CARNet.hr>
+
+Izmjene u odnosu na originalni Debian paket su:
+ * anonymous_enable=NO
+ - iskljucen anonimni pristup FTP posluzitelj
+ * local_enable=YES
+ - lokalni korisnici se mogu spojiti na FTP posluzitelj
+ * write_enable=YES
+ - dopusta upload datoteka
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Sat, 16 Dec 2006 19:51:05 +0100
+
--- /dev/null
+vsftpd-cn (2.0.5-1) carnet-etch; urgency=low
+
+ * Prva verzija za Etch.
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Tue, 18 Sep 2007 15:53:25 +0200
+
+vsftpd-cn (2.0.3-1) carnet-sarge; urgency=medium
+
+ * Promijenjen local_umask u vrijednost 022
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Sun, 10 Jun 2007 13:05:21 +0200
+
+vsftpd-cn (2.0.3-0) carnet-sarge; urgency=medium
+
+ * Inicijalni paket.
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Sat, 16 Dec 2006 19:51:44 +0100
--- /dev/null
+../changelog.CARNet
\ No newline at end of file
--- /dev/null
+Source: vsftpd-cn
+Priority: optional
+Maintainer: Ivan Rako <Ivan.Rako@CARNet.hr>
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
+
+Package: vsftpd-cn
+Architecture: all
+Depends: carnet-tools-cn (>= 2.5), vsftpd (>= 2.0)
+Description: The Very Secure FTP Daemon
+ A lightweight, efficient FTP server written from the ground up with
+ security in mind.
+ .
+ vsftpd supports both anonymous and non-anonymous FTP, PAM authentication,
+ bandwidth limiting, and the Linux sendfile() facility.
--- /dev/null
+README.CARNet
+changelog.CARNet
--- /dev/null
+#!/bin/sh
+
+set -e
+
+[ "$1" = "configure" ] || exit 0
+
+# Load CARNet functions
+. /usr/share/carnet-tools/functions.sh
+
+if dpkg --compare-versions "$2" lt 2.0.3-1; then
+
+ cp_check_and_sed '^#anonymous_enable=YES' \
+ 's/^#anonymous_enable=YES/anonymous_enable=NO/g' \
+ /etc/vsftpd.conf && restart="yes" || true
+
+ cp_check_and_sed '^anonymous_enable=YES' \
+ 's/^anonymous_enable=YES/anonymous_enable=NO/g' \
+ /etc/vsftpd.conf && restart="yes" || true
+
+ cp_check_and_sed '#local_enable=YES' \
+ 's/#local_enable=YES/local_enable=YES/g' \
+ /etc/vsftpd.conf && restart="yes" || true
+
+ cp_check_and_sed '#write_enable=YES' \
+ 's/#write_enable=YES/write_enable=YES/g' \
+ /etc/vsftpd.conf && restart="yes" || true
+
+ cp_check_and_sed '^#local_umask=' \
+ 's/#local_umask=.*$/local_umask=022/g' \
+ /etc/vsftpd.conf && restart="yes" || true
+fi
+
+# restart if needed
+[ "$restart" = "yes" ] || exit 0
+if [ -x /usr/sbin/invoke-rc.d ]; then
+ invoke-rc.d vsftpd restart
+else
+ [ -x /etc/init.d/vsftpd ] && /etc/init.d/vsftpd restart
+fi
--- /dev/null
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+
+ # Add here commands to compile the package.
+ # $(MAKE)
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ # -$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/vsftpd-cn.
+ # $(MAKE) install DESTDIR=$(CURDIR)/debian/vsftpd-cn
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+# dh_installchangelogs -k
+ dh_installdocs
+# dh_installexamples
+ dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+# dh_link
+# dh_strip
+# dh_compress
+ dh_fixperms
+# dh_perl
+# dh_python
+# dh_makeshlibs
+ dh_installdeb
+# dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure